Skip to main content
PUT
/
api
/
v1
/
events
/
{id}
Update an event.
curl --request PUT \
  --url https://api.backside.app/api/v1/events/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "availability": "<string>",
  "color": "<string>",
  "conference_url": "<string>",
  "description": "<string>",
  "event_type": "<string>",
  "location": "<string>",
  "location_lat": 123,
  "location_lng": 123,
  "metadata": "<unknown>",
  "reminders": "<unknown>",
  "rrule": "<string>",
  "status": "<string>",
  "timezone": "<string>",
  "title": "<string>",
  "update_scope": "<string>",
  "visibility": "<string>"
}
'
{
  "availability": "<string>",
  "calendar_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "event_type": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_all_day": true,
  "metadata": "<unknown>",
  "reminders": "<unknown>",
  "sequence": 123,
  "status": "<string>",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "visibility": "<string>",
  "color": "<string>",
  "conference_url": "<string>",
  "deleted_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "end_at": "2023-11-07T05:31:56Z",
  "end_date": "2023-12-25",
  "exdates": [
    "2023-11-07T05:31:56Z"
  ],
  "ical_uid": "<string>",
  "location": "<string>",
  "location_lat": 123,
  "location_lng": 123,
  "next_occurrence": "2023-11-07T05:31:56Z",
  "organizer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "recurrence_id": "2023-11-07T05:31:56Z",
  "rrule": "<string>",
  "series_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "start_at": "2023-11-07T05:31:56Z",
  "start_date": "2023-12-25",
  "timezone": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Event ID

Body

application/json
availability
string | null
color
string | null
conference_url
string | null
description
string | null
event_type
string | null
location
string | null
location_lat
number<double> | null
location_lng
number<double> | null
metadata
any
reminders
any
rrule
string | null
status
string | null
timezone
string | null
title
string | null
update_scope
string | null
visibility
string | null

Response

availability
string
required
calendar_id
string<uuid>
required
created_at
string<date-time>
required
event_type
string
required
id
string<uuid>
required
is_all_day
boolean
required
metadata
any
required
reminders
any
required
sequence
integer<int32>
required
status
string
required
tenant_id
string<uuid>
required
title
string
required
updated_at
string<date-time>
required
visibility
string
required
color
string | null
conference_url
string | null
deleted_at
string<date-time> | null
description
string | null
end_at
string<date-time> | null
end_date
string<date> | null
exdates
string<date-time>[] | null
ical_uid
string | null
location
string | null
location_lat
number<double> | null
location_lng
number<double> | null
next_occurrence
string<date-time> | null
organizer_id
string<uuid> | null
recurrence_id
string<date-time> | null
rrule
string | null
series_id
string<uuid> | null
start_at
string<date-time> | null
start_date
string<date> | null
timezone
string | null